aboutsummaryrefslogtreecommitdiff
path: root/scripts/twitch-stream-local-copy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/twitch-stream-local-copy.sh')
-rwxr-xr-xscripts/twitch-stream-local-copy.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/twitch-stream-local-copy.sh b/scripts/twitch-stream-local-copy.sh
new file mode 100755
index 0000000..dba9d15
--- /dev/null
+++ b/scripts/twitch-stream-local-copy.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+# Stream on twitch while also saving the video to disk locally
+
+[ "$#" -ne 4 ] && echo "usage: twitch-stream-local-copy.sh <window_id> <fps> <livestream_key> <local_file>" && exit 1
+active_sink="$(pactl get-default-sink).monitor"
+gpu-screen-recorder -w "$1" -c flv -f "$2" -a "$active_sink" | tee -- "$4" | ffmpeg -i pipe:0 -c copy -f flv -- "rtmp://live.twitch.tv/app/$3"